Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCollection Class Reference

`#include <vtkCollection.h>`

Inheritance diagram for vtkCollection:

[legend]
Collaboration diagram for vtkCollection:

[legend]
List of all members.

## Detailed Description

create and manipulate unsorted lists of objects

Date:
  2003/01/21 19:51:07

Revision:
  1.47

vtkCollection is a general object for creating and manipulating lists of objects. The lists are unsorted and allow duplicate entries. vtkCollection also serves as a base class for lists of specific types of objects.

See also:
  vtkActorCollection vtkAssemblyPaths vtkDataSetCollection vtkImplicitFunctionCollection vtkLightCollection vtkPolyDataCollection vtkRenderWindowCollection vtkRendererCollection vtkStructuredPointsCollection vtkTransformCollection vtkVolumeCollection

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (46%)
  - Schroeder, Will (15%)
  - Blue, Rusty (8%)
  - Kelly, Ann (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkCollection.cxx)`
  - .`h` (`/Common/vtkCollection.h)`

Definition at line 64 of file vtkCollection.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkObject *)
void | ReplaceItem (int i, vtkObject *)
void | RemoveItem (int i)
void | RemoveItem (vtkObject *)
void | RemoveAllItems ()
int | IsItemPresent (vtkObject *)
int | GetNumberOfItems ()
void | InitTraversal ()
vtkObject * | GetNextItemAsObject ()
vtkObject * | GetItemAsObject (int i)
vtkObject * | GetNextItemAsObject (void *&cookie)
vtkCollectionIterator * | NewIterator ()
void | InitTraversal (void *&cookie)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCollection * | SafeDownCast (vtkObject *o)
vtkCollection * | New ()
## Protected Methods
| vtkCollection ()
| ~vtkCollection ()
virtual void | DeleteElement (vtkCollectionElement *)
## Protected Attributes
int | NumberOfItems
vtkCollectionElement * | Top
vtkCollectionElement * | Bottom
vtkCollectionElement * | Current
## Friends
class | vtkCollectionIterator

## Member Typedef Documentation

typedef vtkObject vtkCollection::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkActor2DCollection, vtkAssemblyPath, vtkAssemblyPaths, vtkDataArrayCollection, vtkDataObjectCollection, vtkDataSetCollection, vtkIdListCollection, vtkImplicitFunctionCollection, vtkObjectFactoryCollection, vtkOverrideInformationCollection, vtkPlaneCollection, vtkPropCollection, vtkTransformCollection, vtkPolyDataCollection, vtkStructuredPointsCollection, vtkImageReader2Collection, vtkActorCollection, vtkCullerCollection, vtkLightCollection, vtkMapperCollection, vtkProp3DCollection, vtkRendererCollection, vtkRenderWindowCollection, and vtkVolumeCollection. Definition at line 67 of file vtkCollection.h.

## Constructor & Destructor Documentation

vtkCollection::vtkCollection | ( |  | ) | `[protected]`

vtkCollection::~vtkCollection | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkActor2DCollection, vtkAssemblyPath, vtkAssemblyPaths, vtkDataArrayCollection, vtkDataObjectCollection, vtkDataSetCollection, vtkIdListCollection, vtkImplicitFunctionCollection, vtkObjectFactoryCollection, vtkOverrideInformationCollection, vtkPlaneCollection, vtkPropCollection, vtkTransformCollection, vtkPolyDataCollection, vtkStructuredPointsCollection, vtkImageReader2Collection, vtkActorCollection, vtkCullerCollection, vtkLightCollection, vtkMapperCollection, vtkProp3DCollection, vtkRendererCollection, vtkRenderWindowCollection, and vtkVolumeCollection.

int vtkCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkActor2DCollection, vtkAssemblyPath, vtkAssemblyPaths, vtkDataArrayCollection, vtkDataObjectCollection, vtkDataSetCollection, vtkIdListCollection, vtkImplicitFunctionCollection, vtkObjectFactoryCollection, vtkOverrideInformationCollection, vtkPlaneCollection, vtkPropCollection, vtkTransformCollection, vtkPolyDataCollection, vtkStructuredPointsCollection, vtkImageReader2Collection, vtkActorCollection, vtkCullerCollection, vtkLightCollection, vtkMapperCollection, vtkProp3DCollection, vtkRendererCollection, vtkRenderWindowCollection, and vtkVolumeCollection.

virtual int vtkCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkActor2DCollection, vtkAssemblyPath, vtkAssemblyPaths, vtkDataArrayCollection, vtkDataObjectCollection, vtkDataSetCollection, vtkIdListCollection, vtkImplicitFunctionCollection, vtkObjectFactoryCollection, vtkOverrideInformationCollection, vtkPlaneCollection, vtkPropCollection, vtkTransformCollection, vtkPolyDataCollection, vtkStructuredPointsCollection, vtkImageReader2Collection, vtkActorCollection, vtkCullerCollection, vtkLightCollection, vtkMapperCollection, vtkProp3DCollection, vtkRendererCollection, vtkRenderWindowCollection, and vtkVolumeCollection.

vtkCollection* vtkCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkActor2DCollection, vtkAssemblyPath, vtkAssemblyPaths, vtkDataArrayCollection, vtkDataObjectCollection, vtkDataSetCollection, vtkIdListCollection, vtkImplicitFunctionCollection, vtkObjectFactoryCollection, vtkOverrideInformationCollection, vtkPlaneCollection, vtkPropCollection, vtkTransformCollection, vtkPolyDataCollection, vtkStructuredPointsCollection, vtkImageReader2Collection, vtkActorCollection, vtkCullerCollection, vtkLightCollection, vtkMapperCollection, vtkProp3DCollection, vtkRendererCollection, vtkRenderWindowCollection, and vtkVolumeCollection.

void vtkCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkAssemblyPath, vtkPolyDataCollection, vtkStructuredPointsCollection, vtkImageReader2Collection, vtkActorCollection, vtkCullerCollection, vtkLightCollection, vtkMapperCollection, vtkProp3DCollection, vtkRendererCollection, vtkRenderWindowCollection, and vtkVolumeCollection.

vtkCollection* vtkCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkObject. Reimplemented in vtkActor2DCollection, vtkAssemblyPath, vtkAssemblyPaths, vtkDataArrayCollection, vtkDataObjectCollection, vtkDataSetCollection, vtkIdListCollection, vtkImplicitFunctionCollection, vtkObjectFactoryCollection, vtkOverrideInformationCollection, vtkPlaneCollection, vtkPropCollection, vtkTransformCollection, vtkPolyDataCollection, vtkStructuredPointsCollection, vtkImageReader2Collection, vtkActorCollection, vtkCullerCollection, vtkLightCollection, vtkMapperCollection, vtkProp3DCollection, vtkRendererCollection, vtkRenderWindowCollection, and vtkVolumeCollection.

void vtkCollection::AddItem | ( | vtkObject * |  | ) |

| Add an object to the list. Does not prevent duplicate entries. Referenced by vtkVolumeCollection::AddItem(), vtkRenderWindowCollection::AddItem(), vtkRendererCollection::AddItem(), vtkProp3DCollection::AddItem(), vtkMapperCollection::AddItem(), vtkCullerCollection::AddItem(), vtkActorCollection::AddItem(), vtkStructuredPointsCollection::AddItem(), vtkPolyDataCollection::AddItem(), vtkTransformCollection::AddItem(), vtkPropCollection::AddItem(), vtkPlaneCollection::AddItem(), vtkOverrideInformationCollection::AddItem(), vtkObjectFactoryCollection::AddItem(), vtkImplicitFunctionCollection::AddItem(), vtkIdListCollection::AddItem(), vtkDataSetCollection::AddItem(), vtkDataObjectCollection::AddItem(), vtkDataArrayCollection::AddItem(), and vtkAssemblyPaths::AddItem().

void vtkCollection::ReplaceItem | ( | int | i,
|  | vtkObject * |
| ) |

| Replace the i'th item in the collection with a

void vtkCollection::RemoveItem | ( | int | i | ) |

| Remove the i'th item in the list. Be careful if using this function during traversal of the list using GetNextItemAsObject (or GetNextItem in derived class). The list WILL be shortened if a valid index is given! If this->Current is equal to the element being removed, have it point to then next element in the list. Referenced by vtkAssemblyPaths::RemoveItem().

void vtkCollection::RemoveItem | ( | vtkObject * |  | ) |

| Remove an object from the list. Removes the first object found, not all occurrences. If no object found, list is unaffected. See warning in description of RemoveItem(int).

void vtkCollection::RemoveAllItems | ( |  | ) |

| Remove all objects from the list.

int vtkCollection::IsItemPresent | ( | vtkObject * |  | ) |

| Search for an object and return location in list. If location == 0, object was not found. Referenced by vtkAssemblyPaths::IsItemPresent(), and vtkActor2DCollection::IsItemPresent().

int vtkCollection::GetNumberOfItems | ( |  | ) |

| Return the number of objects in the list.

void vtkCollection::InitTraversal | ( |  | ) | `[inline]`

| Initialize the traversal of the collection. This means the data pointer is set at the beginning of the list. Definition at line 103 of file vtkCollection.h.

void vtkCollection::InitTraversal | ( | void *& | cookie | ) | `[inline]`

| Less bloated way to iterate through a collection. Just pass the same cookie value around each time Definition at line 109 of file vtkCollection.h.

vtkObject * vtkCollection::GetNextItemAsObject | ( |  | ) | `[inline]`

| Get the next item in the collection. NULL is returned if the collection is exhausted. Definition at line 149 of file vtkCollection.h. References Current, vtkCollectionElement::Item, and vtkCollectionElement::Next. Referenced by vtkActorCollection::GetNextActor(), vtkActor2DCollection::GetNextActor2D(), vtkRenderWindowCollection::GetNextItem(), vtkRendererCollection::GetNextItem(), vtkMapperCollection::GetNextItem(), vtkCullerCollection::GetNextItem(), vtkStructuredPointsCollection::GetNextItem(), vtkPolyDataCollection::GetNextItem(), vtkTransformCollection::GetNextItem(), vtkPlaneCollection::GetNextItem(), vtkOverrideInformationCollection::GetNextItem(), vtkObjectFactoryCollection::GetNextItem(), vtkImplicitFunctionCollection::GetNextItem(), vtkIdListCollection::GetNextItem(), vtkDataSetCollection::GetNextItem(), vtkDataObjectCollection::GetNextItem(), vtkDataArrayCollection::GetNextItem(), vtkAssemblyPaths::GetNextItem(), vtkPropCollection::GetNextProp(), vtkProp3DCollection::GetNextProp3D(), and vtkVolumeCollection::GetNextVolume().

vtkObject* vtkCollection::GetItemAsObject | ( | int | i | ) |

| Get the i'th item in the collection. NULL is returned if i is out of range Referenced by vtkIdListCollection::GetItem(), vtkDataSetCollection::GetItem(), vtkDataObjectCollection::GetItem(), and vtkDataArrayCollection::GetItem().

vtkObject * vtkCollection::GetNextItemAsObject | ( | void *& | cookie | ) | `[inline]`

| Less bloated way to get the next object as a collection. Just pass the same cookie back and forth. Definition at line 164 of file vtkCollection.h. References vtkCollectionElement::Item, and vtkCollectionElement::Next.

vtkCollectionIterator* vtkCollection::NewIterator | ( |  | ) |

| Get an iterator to traverse the objects in this collection.

virtual void vtkCollection::DeleteElement | ( | vtkCollectionElement * |  | ) | `[protected, virtual]`

| Reimplemented in vtkActor2DCollection.

## Friends And Related Function Documentation

friend class vtkCollectionIterator`[friend]`

| Definition at line 140 of file vtkCollection.h.

## Member Data Documentation

int vtkCollection::NumberOfItems`[protected]`

| Definition at line 134 of file vtkCollection.h.

vtkCollectionElement* vtkCollection::Top`[protected]`

| Definition at line 135 of file vtkCollection.h.

vtkCollectionElement* vtkCollection::Bottom`[protected]`

| Definition at line 136 of file vtkCollection.h. Referenced by vtkActorCollection::GetLastActor(), vtkActor2DCollection::GetLastActor2D(), vtkMapperCollection::GetLastItem(), vtkCullerCollection::GetLastItem(), vtkPropCollection::GetLastProp(), and vtkProp3DCollection::GetLastProp3D().

vtkCollectionElement* vtkCollection::Current`[protected]`

| Definition at line 137 of file vtkCollection.h. Referenced by GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkCollection.h